package com.ruoyi.learn.mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

import com.ruoyi.learn.domain.LearnQuestions;
import org.apache.ibatis.annotations.Param;

/**
 * 试题Mapper接口
 *
 * @author ruoyi
 * @date 2025-09-18
 */
public interface LearnQuestionsMapper
{
    public List<LearnQuestions> statQuestionTypes(@Param("subjectId") Long subjectId, @Param("knowledgeIds") Collection<Long> knowledgeIds);

    /**
     * 查询试题
     *
     * @param id 试题主键
     * @return 试题
     */
    public LearnQuestions selectLearnQuestionsById(Long id);
    public List<LearnQuestions> selectLearnQuestionsByIds(Long[] ids);

    /**
     * 查询试题列表
     *
     * @param learnQuestions 试题
     * @return 试题集合
     */
    public List<LearnQuestions> selectLearnQuestionsList(LearnQuestions learnQuestions);

    /**
     * 新增试题
     *
     * @param learnQuestions 试题
     * @return 结果
     */
    public int insertLearnQuestions(LearnQuestions learnQuestions);

    /**
     * 修改试题
     *
     * @param learnQuestions 试题
     * @return 结果
     */
    public int updateLearnQuestions(LearnQuestions learnQuestions);

    /**
     * 删除试题
     *
     * @param id 试题主键
     * @return 结果
     */
    public int deleteLearnQuestionsById(Long id);

    /**
     * 批量删除试题
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLearnQuestionsByIds(Long[] ids);

    int updateQuestionType(@Param("qtpye") String qtpye, @Param("ids") Collection<Long> ids);

    public List<LearnQuestions> selectQuestionByPaperId(Long paperId);

    public List<LearnQuestions> statByKnowledgeType(Map cond);
    public List<LearnQuestions> statByKnowledge(Map cond);

    public List<LearnQuestions> selectQuestionsForPaper(LearnQuestions cond);

    public List<LearnQuestions> selectCollectedList(LearnQuestions questions);
    public List<LearnQuestions> selectCollectInfo(Map<String, Object> map);
}
